FROM openjdk:8-jdk-alpine3.8
#设置时区

ARG FILE_NAME="default"
ENV PARAMS=""
RUN  ln -sf /usr/share/zoneinfo/Asia/Shanghai  /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
COPY  ${FILE_NAME}   /app.jar
ENTRYPOINT ["/bin/sh","-c","java -Dfile.encoding=utf8  -Djava.security.egd=file:/dev/.urandom -javaagent:app.jar -jar  app.jar ${PARAMS}" ]
